<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzya.frame.sysnew.sysInterface.dao.impl.SysInterfaceDaoImpl">

    <resultMap id="get-SysInterfaceEntity-result" type="com.hzya.frame.sysnew.sysInterface.entity.SysInterfaceEntity">
        <result property="id" column="id" jdbcType="VARCHAR"/>
        <result property="name" column="name" jdbcType="VARCHAR"/>
        <result property="beanName" column="bean_name" jdbcType="VARCHAR"/>
        <result property="interfaceName" column="interface_name" jdbcType="VARCHAR"/>
        <result property="remark" column="remark" jdbcType="VARCHAR"/>
        <result property="state" column="state" jdbcType="VARCHAR"/>
        <result property="sorts" column="sorts" jdbcType="INTEGER"/>
        <result property="create_user_id" column="create_user_id" jdbcType="VARCHAR"/>
        <result property="create_time" column="create_time" jdbcType="TIMESTAMP"/>
        <result property="modify_user_id" column="modify_user_id" jdbcType="VARCHAR"/>
        <result property="modify_time" column="modify_time" jdbcType="TIMESTAMP"/>
        <result property="sts" column="sts" jdbcType="VARCHAR"/>
        <result property="org_id" column="org_id" jdbcType="VARCHAR"/>
        <result property="companyId" column="company_id" jdbcType="VARCHAR"/>
    </resultMap>
    <!-- 查询的字段-->
    <sql id="SysInterfaceEntity_Base_Column_List">
        id
       ,name 
        ,bean_name 
        ,interface_name 
        ,remark 
        ,state 
        ,sorts 
        ,create_user_id 
        ,create_time 
        ,modify_user_id 
        ,modify_time 
        ,sts 
        ,org_id 
        ,company_id 
     </sql>
    <!-- 查询 采用==查询 -->
    <select id="entity_list_base" resultMap="get-SysInterfaceEntity-result"
            parameterType="com.hzya.frame.sysnew.sysInterface.entity.SysInterfaceEntity">
        select
        <include refid="SysInterfaceEntity_Base_Column_List"/>
        from sys_interface
        <trim prefix="where" prefixOverrides="and">
            <if test="id != null and id != ''">and id = #{id}</if>
            <if test="name != null and name != ''">and name = #{name}</if>
            <if test="beanName != null and beanName != ''">and bean_name = #{beanName}</if>
            <if test="interfaceName != null and interfaceName != ''">and interface_name = #{interfaceName}</if>
            <if test="remark != null and remark != ''">and remark = #{remark}</if>
            <if test="state != null and state != ''">and state = #{state}</if>
            <if test="sorts != null">and sorts = #{sorts}</if>
            <if test="create_user_id != null and create_user_id != ''">and create_user_id = #{create_user_id}</if>
            <if test="create_time != null">and create_time = #{create_time}</if>
            <if test="modify_user_id != null and modify_user_id != ''">and modify_user_id = #{modify_user_id}</if>
            <if test="modify_time != null">and modify_time = #{modify_time}</if>
            <if test="sts != null and sts != ''">and sts = #{sts}</if>
            <if test="org_id != null and org_id != ''">and org_id = #{org_id}</if>
            <if test="companyId != null and companyId != ''">and company_id = #{companyId}</if>
            and sts='Y'
        </trim>
        <if test=" sort == null or sort == ''.toString() ">order by sorts asc</if>
        <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
    </select>
    <!-- 查询符合条件的数量 -->
    <select id="entity_count" resultType="Integer"
            parameterType="com.hzya.frame.sysnew.sysInterface.entity.SysInterfaceEntity">
        select count(1) from sys_interface
        <trim prefix="where" prefixOverrides="and">
            <if test="id != null and id != ''">and id = #{id}</if>
            <if test="name != null and name != ''">and name = #{name}</if>
            <if test="beanName != null and beanName != ''">and bean_name = #{beanName}</if>
            <if test="interfaceName != null and interfaceName != ''">and interface_name = #{interfaceName}</if>
            <if test="remark != null and remark != ''">and remark = #{remark}</if>
            <if test="state != null and state != ''">and state = #{state}</if>
            <if test="sorts != null">and sorts = #{sorts}</if>
            <if test="create_user_id != null and create_user_id != ''">and create_user_id = #{create_user_id}</if>
            <if test="create_time != null">and create_time = #{create_time}</if>
            <if test="modify_user_id != null and modify_user_id != ''">and modify_user_id = #{modify_user_id}</if>
            <if test="modify_time != null">and modify_time = #{modify_time}</if>
            <if test="sts != null and sts != ''">and sts = #{sts}</if>
            <if test="org_id != null and org_id != ''">and org_id = #{org_id}</if>
            <if test="companyId != null and companyId != ''">and company_id = #{companyId}</if>
            and sts='Y'
        </trim>
        <if test=" sort == null or sort == ''.toString() ">order by sorts asc</if>
        <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
    </select>

    <!-- 分页查询列表 采用like格式 -->
    <select id="entity_list_like" resultMap="get-SysInterfaceEntity-result"
            parameterType="com.hzya.frame.sysnew.sysInterface.entity.SysInterfaceEntity">
        select
        <include refid="SysInterfaceEntity_Base_Column_List"/>
        from sys_interface
        <trim prefix="where" prefixOverrides="and">
            <if test="id != null and id != ''">and id like concat('%',#{id},'%')</if>
            <if test="name != null and name != ''">and name like concat('%',#{name},'%')</if>
            <if test="beanName != null and beanName != ''">and bean_name like concat('%',#{beanName},'%')</if>
            <if test="interfaceName != null and interfaceName != ''">and interface_name like
                concat('%',#{interfaceName},'%')
            </if>
            <if test="remark != null and remark != ''">and remark like concat('%',#{remark},'%')</if>
            <if test="state != null and state != ''">and state like concat('%',#{state},'%')</if>
            <if test="sorts != null">and sorts like concat('%',#{sorts},'%')</if>
            <if test="create_user_id != null and create_user_id != ''">and create_user_id like
                concat('%',#{create_user_id},'%')
            </if>
            <if test="create_time != null">and create_time like concat('%',#{create_time},'%')</if>
            <if test="modify_user_id != null and modify_user_id != ''">and modify_user_id like
                concat('%',#{modify_user_id},'%')
            </if>
            <if test="modify_time != null">and modify_time like concat('%',#{modify_time},'%')</if>
            <if test="sts != null and sts != ''">and sts like concat('%',#{sts},'%')</if>
            <if test="org_id != null and org_id != ''">and org_id like concat('%',#{org_id},'%')</if>
            <if test="companyId != null and companyId != ''">and company_id like concat('%',#{companyId},'%')</if>
            and sts='Y'
        </trim>
        <if test=" sort == null or sort == ''.toString() ">order by sorts desc</if>
        <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
    </select>

    <!-- 查询列表 字段采用or格式 -->
    <select id="SysInterfaceentity_list_or" resultMap="get-SysInterfaceEntity-result"
            parameterType="com.hzya.frame.sysnew.sysInterface.entity.SysInterfaceEntity">
        select
        <include refid="SysInterfaceEntity_Base_Column_List"/>
        from sys_interface
        <trim prefix="where" prefixOverrides="and">
            <if test="id != null and id != ''">or id = #{id}</if>
            <if test="name != null and name != ''">or name = #{name}</if>
            <if test="beanName != null and beanName != ''">or bean_name = #{beanName}</if>
            <if test="interfaceName != null and interfaceName != ''">or interface_name = #{interfaceName}</if>
            <if test="remark != null and remark != ''">or remark = #{remark}</if>
            <if test="state != null and state != ''">or state = #{state}</if>
            <if test="sorts != null">or sorts = #{sorts}</if>
            <if test="create_user_id != null and create_user_id != ''">or create_user_id = #{create_user_id}</if>
            <if test="create_time != null">or create_time = #{create_time}</if>
            <if test="modify_user_id != null and modify_user_id != ''">or modify_user_id = #{modify_user_id}</if>
            <if test="modify_time != null">or modify_time = #{modify_time}</if>
            <if test="sts != null and sts != ''">or sts = #{sts}</if>
            <if test="org_id != null and org_id != ''">or org_id = #{org_id}</if>
            <if test="companyId != null and companyId != ''">or company_id = #{companyId}</if>
            and sts='Y'
        </trim>
        <if test=" sort == null or sort == ''.toString()  ">order by sorts asc</if>
        <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
    </select>

    <!--新增所有列-->
    <insert id="entity_insert" parameterType="com.hzya.frame.sysnew.sysInterface.entity.SysInterfaceEntity"
            >
        insert into sys_interface(
        <trim suffix="" suffixOverrides=",">
            <if test="id != null and id != ''">id ,</if>
            <if test="name != null and name != ''">name ,</if>
            <if test="beanName != null and beanName != ''">bean_name ,</if>
            <if test="interfaceName != null and interfaceName != ''">interface_name ,</if>
            <if test="remark != null and remark != ''">remark ,</if>
            <if test="state != null and state != ''">state ,</if>
            <if test="sorts != null">sorts ,</if>
            <if test="create_user_id != null and create_user_id != ''">create_user_id ,</if>
            <if test="create_time != null">create_time ,</if>
            <if test="modify_user_id != null and modify_user_id != ''">modify_user_id ,</if>
            <if test="modify_time != null">modify_time ,</if>
            <if test="sts != null and sts != ''">sts ,</if>
            <if test="org_id != null and org_id != ''">org_id ,</if>
            <if test="companyId != null and companyId != ''">company_id ,</if>
            <if test="sts == null ">sts,</if>
        </trim>
        )values(
        <trim suffix="" suffixOverrides=",">
            <if test="id != null and id != ''">#{id} ,</if>
            <if test="name != null and name != ''">#{name} ,</if>
            <if test="beanName != null and beanName != ''">#{beanName} ,</if>
            <if test="interfaceName != null and interfaceName != ''">#{interfaceName} ,</if>
            <if test="remark != null and remark != ''">#{remark} ,</if>
            <if test="state != null and state != ''">#{state} ,</if>
            <if test="sorts != null">#{sorts} ,</if>
            <if test="create_user_id != null and create_user_id != ''">#{create_user_id} ,</if>
            <if test="create_time != null">#{create_time} ,</if>
            <if test="modify_user_id != null and modify_user_id != ''">#{modify_user_id} ,</if>
            <if test="modify_time != null">#{modify_time} ,</if>
            <if test="sts != null and sts != ''">#{sts} ,</if>
            <if test="org_id != null and org_id != ''">#{org_id} ,</if>
            <if test="companyId != null and companyId != ''">#{companyId} ,</if>

            <if test="sts == null ">'Y',</if>
        </trim>
        )
    </insert>
    <!-- 批量新增 -->
    <insert id="entityInsertBatch" >
        insert into sys_interface(name, bean_name, interface_name, remark, state, create_user_id, create_time,
        modify_user_id, modify_time, sts, org_id, company_id, sts)
        values
        <foreach collection="entities" item="entity" separator=",">
            (#{entity.name},#{entity.beanName},#{entity.interfaceName},#{entity.remark},#{entity.state},#{entity.create_user_id},#{entity.create_time},#{entity.modify_user_id},#{entity.modify_time},#{entity.sts},#{entity.org_id},#{entity.companyId},
            'Y')
        </foreach>
    </insert>
    <!-- 批量新增或者修改-->
    <insert id="entityInsertOrUpdateBatch" >
        insert into sys_interface(name, bean_name, interface_name, remark, state, create_user_id, create_time,
        modify_user_id, modify_time, sts, org_id, company_id)
        values
        <foreach collection="entities" item="entity" separator=",">
            (#{entity.name},#{entity.beanName},#{entity.interfaceName},#{entity.remark},#{entity.state},#{entity.create_user_id},#{entity.create_time},#{entity.modify_user_id},#{entity.modify_time},#{entity.sts},#{entity.org_id},#{entity.companyId})
        </foreach>
        on duplicate key update
        name = values(name),
        bean_name = values(bean_name),
        interface_name = values(interface_name),
        remark = values(remark),
        state = values(state),
        create_user_id = values(create_user_id),
        create_time = values(create_time),
        modify_user_id = values(modify_user_id),
        modify_time = values(modify_time),
        sts = values(sts),
        org_id = values(org_id),
        company_id = values(company_id)
    </insert>
    <!--通过主键修改方法-->
    <update id="entity_update" parameterType="com.hzya.frame.sysnew.sysInterface.entity.SysInterfaceEntity">
        update sys_interface set
        <trim suffix="" suffixOverrides=",">
            <if test="name != null and name != ''">name = #{name},</if>
            <if test="beanName != null and beanName != ''">bean_name = #{beanName},</if>
            <if test="interfaceName != null and interfaceName != ''">interface_name = #{interfaceName},</if>
            <if test="remark != null and remark != ''">remark = #{remark},</if>
            <if test="state != null and state != ''">state = #{state},</if>
            <if test="create_user_id != null and create_user_id != ''">create_user_id = #{create_user_id},</if>
            <if test="create_time != null">create_time = #{create_time},</if>
            <if test="modify_user_id != null and modify_user_id != ''">modify_user_id = #{modify_user_id},</if>
            <if test="modify_time != null">modify_time = #{modify_time},</if>
            <if test="sts != null and sts != ''">sts = #{sts},</if>
            <if test="org_id != null and org_id != ''">org_id = #{org_id},</if>
            <if test="companyId != null and companyId != ''">company_id = #{companyId},</if>
        </trim>
        where id = #{id}
    </update>
    <!-- 逻辑删除 -->
    <update id="entity_logicDelete" parameterType="com.hzya.frame.sysnew.sysInterface.entity.SysInterfaceEntity">
update sys_interface  set sts= 'N' ,modify_time = #{modify_time},modify_user_id = #{modify_user_id}
where id = #{id}
</update>
    <!-- 多条件逻辑删除 -->
    <update id="entity_logicDelete_Multi_Condition"
            parameterType="com.hzya.frame.sysnew.sysInterface.entity.SysInterfaceEntity">
        update sys_interface set sts= 'N' ,modify_time = #{modify_time},modify_user_id = #{modify_user_id}
        <trim prefix="where" prefixOverrides="and">
            <if test="id != null and id != ''">and id = #{id}</if>
            <if test="name != null and name != ''">and name = #{name}</if>
            <if test="beanName != null and beanName != ''">and bean_name = #{beanName}</if>
            <if test="interfaceName != null and interfaceName != ''">and interface_name = #{interfaceName}</if>
            <if test="remark != null and remark != ''">and remark = #{remark}</if>
            <if test="state != null and state != ''">and state = #{state}</if>
            <if test="sorts != null">and sorts = #{sorts}</if>
            <if test="sts != null and sts != ''">and sts = #{sts}</if>
            <if test="companyId != null and companyId != ''">and company_id = #{companyId}</if>
            and sts='Y'
        </trim>
    </update>
    <!--通过主键删除-->
    <delete id="entity_delete">
    delete from sys_interface where id = #{id}
</delete>
    <!--通过ID获取数据 -->
    <select id="entity_get" resultMap="get-SysInterfaceEntity-result">
        select
        <include refid="SysInterfaceEntity_Base_Column_List" />
        from sys_interface where id = #{ id } and sts='Y'
    </select>
</mapper>

